Summary:	Plasma 5 KDE System Guard library
Name:		libksysguard
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		libksysguard-5.4.3-rename-translations.patch
Patch1:		libksysguard-5.11.4-rename-libraries.patch
# Don't apply these for now, may be unpredictable
Patch2:		libksysguard-5.2.1-rename-scripts.patch
Patch3:		libksysguard-5.2.1-rename-helper-services.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kauth-devel
BuildRequires:	kcompletion-devel
BuildRequires:	kcoreaddons-devel
BuildRequires:	kconfig-devel
BuildRequires:	kconfigwidgets-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	ki18n-devel
BuildRequires:	kiconthemes-devel
BuildRequires:	kservice-devel
BuildRequires:	kwidgetsaddons-devel
BuildRequires:	kwindowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
Conflicts:	kdebase4-workspace

%description
Plasma 5 KDE System Guard library.

%files
%{_kde5_datadir}/ksysguard/scripts
%{_kde5_libexecdir}/kauth/ksysguardprocesslist_helper
%{_kde5_sysconfdir}/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%{_datadir}/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%{_datadir}/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 KDE System Guard library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Plasma 5 KDE System Guard library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define ksgrd5_major 7
%define libksgrd5 %mklibname ksgrd5_ %{ksgrd5_major}

%package -n %{libksgrd5}
Summary:	Plasma 5 KDE System Guard shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libksgrd5}
Plasma 5 KDE System Guard shared library.

%files -n %{libksgrd5}
%{_kde5_libdir}/libksgrd5.so.%{ksgrd5_major}
%{_kde5_libdir}/libksgrd5.so.%{version}

#----------------------------------------------------------------------------

%define ksignalplotter5_major 7
%define libksignalplotter5 %mklibname ksignalplotter5_ %{ksignalplotter5_major}

%package -n %{libksignalplotter5}
Summary:	Plasma 5 KDE System Guard shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libksignalplotter5}
Plasma 5 KDE System Guard shared library.

%files -n %{libksignalplotter5}
%{_kde5_libdir}/libksignalplotter5.so.%{ksignalplotter5_major}
%{_kde5_libdir}/libksignalplotter5.so.%{version}

#----------------------------------------------------------------------------

%define lsofui5_major 7
%define liblsofui5 %mklibname lsofui5_ %{lsofui5_major}

%package -n %{liblsofui5}
Summary:	Plasma 5 KDE System Guard shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{liblsofui5}
Plasma 5 KDE System Guard shared library.

%files -n %{liblsofui5}
%{_kde5_libdir}/liblsofui5.so.%{lsofui5_major}
%{_kde5_libdir}/liblsofui5.so.%{version}

#----------------------------------------------------------------------------

%define processcore5_major 7
%define libprocesscore5 %mklibname processcore5_ %{processcore5_major}

%package -n %{libprocesscore5}
Summary:	Plasma 5 KDE System Guard shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libprocesscore5}
Plasma 5 KDE System Guard shared library.

%files -n %{libprocesscore5}
%{_kde5_libdir}/libprocesscore5.so.%{processcore5_major}
%{_kde5_libdir}/libprocesscore5.so.%{version}

#----------------------------------------------------------------------------

%define processui5_major 7
%define libprocessui5 %mklibname processui5_ %{processui5_major}

%package -n %{libprocessui5}
Summary:	Plasma 5 KDE System Guard shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libprocessui5}
Plasma 5 KDE System Guard shared library.

%files -n %{libprocessui5}
%{_kde5_libdir}/libprocessui5.so.%{processui5_major}
%{_kde5_libdir}/libprocessui5.so.%{version}

#----------------------------------------------------------------------------

%define devksysguard5 %mklibname ksysguard5 -d

%package -n %{devksysguard5}
Summary:	Development files for Plasma 5 KDE System Guard library
Group:		Development/KDE and Qt
Requires:	%{libksgrd5} = %{EVRD}
Requires:	%{libksignalplotter5} = %{EVRD}
Requires:	%{liblsofui5} = %{EVRD}
Requires:	%{libprocesscore5} = %{EVRD}
Requires:	%{libprocessui5} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5sysguard-devel = %{version}

%description -n %{devksysguard5}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devksysguard5}
%{_includedir}/ksysguard5
%{_kde5_libdir}/cmake/KF5SysGuard
%{_kde5_libdir}/libksgrd5.so
%{_kde5_libdir}/libksignalplotter5.so
%{_kde5_libdir}/liblsofui5.so
%{_kde5_libdir}/libprocesscore5.so
%{_kde5_libdir}/libprocessui5.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

for oldlang in po/*/*.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (d446f2e) New version 5.12.5

* Sat Apr 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (cee7e44) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (6bb0c64) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (4659321) Re-diff rename-libraries patch
- (Andrey Bondrov: 3b93c25) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (eda701e) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (76e0179) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (c9f0554) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (33c261f) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (9293a47) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (13f515f) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (3a47750) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (3d4fd4e) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (1df9e61) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (d60230e) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (492cdc3) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (850a594) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (70f6f28) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (443f5dc) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (4703ea9) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (c56b92a) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (9016b37) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (830af3f) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (88cc53d) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (1186a6a) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (f14d1c6) Re-diff rename-libraries patch
- (Andrey Bondrov: 98bffd8) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (cd6c599) Re-diff translations and libraries patches
- (Andrey Bondrov: b244aca) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (667fcea) New version 5.4.2


